summaryrefslogtreecommitdiffstats
path: root/desktop/evilwm
diff options
context:
space:
mode:
author Marek Buras <cyfr0n@go2.pl>2013-02-11 02:14:10 -0600
committer Erik Hanson <erik@slackbuilds.org>2013-02-14 00:26:54 -0600
commit31d079c9b37bf0feb771f6654e13c65a3dc40e0f (patch)
tree8758d29f049ffe217eac124ebeb1f76ccb23ef8d /desktop/evilwm
parent02a7e4ccfa8f39ad13c82e18369b107b24913f9b (diff)
downloadslackbuilds-31d079c9b37bf0feb771f6654e13c65a3dc40e0f.tar.gz
slackbuilds-31d079c9b37bf0feb771f6654e13c65a3dc40e0f.tar.xz
desktop/evilwm: Added (minimalist window manager for X)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'desktop/evilwm')
-rw-r--r--desktop/evilwm/README11
-rw-r--r--desktop/evilwm/evilwm.SlackBuild98
-rw-r--r--desktop/evilwm/evilwm.info10
-rw-r--r--desktop/evilwm/slack-desc19
4 files changed, 138 insertions, 0 deletions
diff --git a/desktop/evilwm/README b/desktop/evilwm/README
new file mode 100644
index 0000000000..2bc3943344
--- /dev/null
+++ b/desktop/evilwm/README
@@ -0,0 +1,11 @@
+evilwm is a minimalist window manager for the X Window System. Its
+features include:
+* No window decorations apart from a simple 1 pixel border.
+* No icons.
+* Good keyboard control, including repositioning and maximise toggles.
+* Solid window drags (optional - may be slow on old machines).
+* Snap-to-border support (command line option).
+* Virtual desktops (compile time option).
+* Small binary size (even with everything turned on).
+* Reasonable EWMH support (though not yet fully compliant).
+* Configuration file read on startup.
diff --git a/desktop/evilwm/evilwm.SlackBuild b/desktop/evilwm/evilwm.SlackBuild
new file mode 100644
index 0000000000..ab8009d63a
--- /dev/null
+++ b/desktop/evilwm/evilwm.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for evilwm
+
+# Copyright 2013 Marek Buras Silesia,Poland
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=evilwm
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Set CFLAGS
+sed -ie "s/^CFLAGS = .*/CFLAGS = $SLKCFLAGS/" Makefile
+make
+make install DESTDIR=$PKG
+
+# Strip binaries and libraries
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Move man pages to Slackware's standard location
+mv $PKG/usr/share/man $PKG/usr
+
+# Compress man pages
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog INSTALL README TODO doc/standards.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/evilwm/evilwm.info b/desktop/evilwm/evilwm.info
new file mode 100644
index 0000000000..1a12c6c49d
--- /dev/null
+++ b/desktop/evilwm/evilwm.info
@@ -0,0 +1,10 @@
+PRGNAM="evilwm"
+VERSION="1.1.0"
+HOMEPAGE="http://www.6809.org.uk/evilwm/"
+DOWNLOAD="http://www.6809.org.uk/evilwm/evilwm-1.1.0.tar.gz"
+MD5SUM="5f14cc3019320860c85bb07c60a76bd7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Marek Buras"
+EMAIL="cyfr0n@go2.pl"
diff --git a/desktop/evilwm/slack-desc b/desktop/evilwm/slack-desc
new file mode 100644
index 0000000000..843dd14389
--- /dev/null
+++ b/desktop/evilwm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+evilwm: evilwm (minimalist window manager for X)
+evilwm:
+evilwm: evilwm is a minimalist window manager for the X Window System. Its
+evilwm: features include: good keyboard control, virtual desktops, small
+evilwm: binary size and reasonable EWMH support (though not yet fully
+evilwm: compilant).
+evilwm:
+evilwm:
+evilwm: evilwm has been written by Ciaran Anscomb <evilwm@6809.org.uk>
+evilwm:
+evilwm: